### Constructor

# Gtk.BoolFilter.new

#### Declaration [src]

    GtkBoolFilter*
    gtk_bool_filter_new (
      GtkExpression* expression
    )

#### Description [src]

Creates a new bool filter.

#### Parameters

`expression` | `GtkExpression`
| The expression to evaluate or `NULL` for none
| Can be `NULL`
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GtkBoolFilter`
a new `GtkBoolFilter`
Ownership of the data is transferred to the caller